html, body {
    height: 100%;
}
body {
    margin: 0;
}
div, textarea {
    float: left;
    font-family: Menlo, Monaco, Courier New;
    font-size: 12px;
    line-height: 16px;
    box-shadow: 0 0 1px black inset;
}
textarea {
    padding: 0;
    border: 0;
    margin: 0;
    font-family: Menlo, Monaco, Courier New;
    resize: none;
}
textarea:focus {
    outline: none;
}
#about, #options, #menu {
    min-height: 17%;
}
#about, #menu {
    width: 17%;
}
#options {
    width: 66%;
}
#parse, #compile, #execute {
    cursor: pointer;
}
#source, #input, #parsed, #compiled, #executed {
    min-height: 33%;
    max-height: 33%;
}
#source, #input {
    width: 50%;
}
#parsed, #compiled, #executed {
    width: 33.333%;
}
#parsed, #compiled, #executed, #console {
    white-space: pre;
    overflow-y: auto;
}
#console {
    width: 100%;
    min-height: 17%;
}
.empty {
    color: rgb(128, 128, 128);
}